-- Screen Capture App
-- Developed by Carlos Yanez

-- Hide Status Bar

display.setStatusBar(display.HiddenStatusBar)

-- Background

local background = display.newImage('background.png')

-- Take Screenshot button

local captureButton = display.newImage('captureButton.png')

captureButton:setReferencePoint(display.CenterReferencePoint)
captureButton.x = display.contentWidth * 0.5
captureButton.y = display.contentHeight * 0.5

-- Capture Screen Function

function captureButton:tap(e)
	local screenshot = display.captureScreen(true)
	-- Show Image in Photo Library
	media.show(media.PhotoLibrary)
end

-- Button Listener

captureButton:addEventListener("tap", captureButton)